<?PHP
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
* affichage du tracking
*
* @author		Georges Caldeira <gcaldeira@anemalab.org>
* @package		GaneshaStagiaire
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");
	
	debugf(__FILE__);
	
	InitPageHtml() ;
	
	$groupe	= $HTTP_GET_VARS['groupe'] ;
	$module = $HTTP_GET_VARS['module'] ;
	$chapitre = (isset($HTTP_GET_VARS['chapitre'])?$HTTP_GET_VARS['chapitre']:0) ;
	$affiche = (isset($HTTP_GET_VARS['affiche'])?true:false) ;

// -------------------------------------------------------------------------------
// Il n'y a ques les stagiaires qui peuvent sauvegarder les resultats du tracking
// -------------------------------------------------------------------------------
if ( $ClsMembre->GetTypeMembre($guserid) != STAGIAIRE ) {
	BR(2) ;
	Title( $st_texte['errorscore']);
	BR(10)			;
	Footer()		;
	ClosePageHtml()	;
	exit;
}

Anchor("Top");

if ( ! $affiche ) {
	// Ajouter un tracking pour un chapitre d'un module pour un stagiaire
	// si note et temps ds HTTP_POST_VARS alors tracking quizz sinon tracking chapitre lu
	if ( isset($HTTP_POST_VARS['note']) && isset($HTTP_POST_VARS['temps']) ) {
		$score = $HTTP_POST_VARS['note'] ;
		$time  = $HTTP_POST_VARS['temps'];		
	} elseif ( isset($HTTP_GET_VARS['note']) && isset($HTTP_GET_VARS['temps']) ) { 
		// old chapitre lu
		$score = $HTTP_GET_VARS['note'] ;
		$time  = $HTTP_GET_VARS['temps'];
	} elseif ( isset($HTTP_GET_VARS['note']) && isset($HTTP_POST_VARS['temps']) ) { 
		// new chapitre lu 
		$score = $HTTP_GET_VARS['note'] ;
		$time  = $HTTP_POST_VARS['temps'];		
	}else {
		debug($HTTP_GET_VARS);
		die('Erreur de parametres ......');
	}
	addTracking($score,$temps,$module,$chapitre,$groupe)		;
	displayTrackingChapitre($guserid,$module,$chapitre,$groupe)	;
} else {
	// Affichage de tous les tracking des chapitres 
	// pour un module et pour un stagiaire
	Title($st_titre['vosresult']." : ".$ClsModule->Title($module));
	BR();
	if ( $chapitre > 0 ) {
		displayTrackingChapitre($guserid,$module,$chapitre,$groupe);
	} else {
		displayTrackingModule($guserid,$module,$groupe);
	}
}

Footer()		;
ClosePageHtml()	;
?>